# ServerResourcesReloadedEvent.Cause (Scissors-API 1.17.1-R0.1-SNAPSHOT API)
declaration: package: io.papermc.paper.event.server, class: ServerResourcesReloadedEvent, enum: Cause

Package io.papermc.paper.event.server

# Enum Class ServerResourcesReloadedEvent.Cause

java.lang.Object
java.lang.Enum<ServerResourcesReloadedEvent.Cause>
io.papermc.paper.event.server.ServerResourcesReloadedEvent.Cause

All Implemented Interfaces:
  `Serializable`, `Comparable<ServerResourcesReloadedEvent.Cause>`, `Constable`

Enclosing class:
  ServerResourcesReloadedEvent

public static enum ServerResourcesReloadedEvent.Cause extends Enum<ServerResourcesReloadedEvent.Cause>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`COMMAND`
`PLUGIN`

## Method Summary

Modifier and Type
Method
Description
`static ServerResourcesReloadedEvent.Cause`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ServerResourcesReloadedEvent.Cause[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### COMMAND

public static final ServerResourcesReloadedEvent.Cause COMMAND

### PLUGIN

public static final ServerResourcesReloadedEvent.Cause PLUGIN

## Method Details

### values

public static ServerResourcesReloadedEvent.Cause[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ServerResourcesReloadedEvent.Cause valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null